[BLFS Trac] #2138: PCI Utilities-2.2.4

Dan Nicholson dbn.lists at gmail.com
Fri Feb 16 16:37:10 PST 2007


On 2/16/07, BLFS Trac <trac at linuxfromscratch.org> wrote:
>
>  Updated BLFS to PCI Utilities-2.2.4. Also added a note about linking
>  the Zlib library to packages that may need to link to libpci.a.

Randy, I don't know if this is a good idea yet. This will cause
problems with HAL because it doesn't use libpci. It just opens up
pci.ids and will have totally ignore pci.ids.gz. On the other hand,
update-pciids will always gzip the data if you built against zlib.

So, in the best case, you have an old pci.ids hanging around that HAL
is going to use. In the worst case, you only have pci.ids.gz and HAL
will bomb.

This was discussed about a month ago in the way off topic CBLFS
thread. I noted that you can work around this by passing ZLIB=no to
make.

http://linuxfromscratch.org/pipermail/blfs-dev/2007-January/016078.html

What do you think? FWIW, they are talking about the gzipped pci.ids
data on the HAL list, but nothing's happened yet.

--
Dan



More information about the blfs-book mailing list